> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run or preview a formula column

> Runs a formula column across rows. Use preview=true to test on a sample before applying to all rows. Max 300s execution time.




## OpenAPI

````yaml /openapi/flows.yaml post /tables/{id}/run-formula
openapi: 3.1.0
info:
  title: Connie Flows API
  version: 1.0.0
  description: >
    API for Tables (structured data), Workflows (automation pipelines), the
    Workflow Builder, triggers, jobs, and streaming state. "Flows" is the
    product name for Tables + Workflows.
servers:
  - url: https://connie.ai/api
    description: Production
security:
  - cookieAuth: []
tags:
  - name: Tables
    description: Table management, views, and configuration
  - name: Table Items
    description: Row (item) operations
  - name: Table Cells
    description: Cell-level read and write operations
  - name: Table Properties
    description: Column management
  - name: Table Bulk
    description: Bulk row operations
  - name: Table Transforms
    description: Formula, split, text-to-columns, and enrichment
  - name: Table Imports
    description: Importing data from CSV, Apollo, Pipe0, and People sources
  - name: Workflows
    description: Workflow CRUD and execution
  - name: Workflow Builder
    description: Node configuration, testing, and AI assistance
  - name: Workflow Results
    description: Workflow result table management
  - name: Triggers
    description: Workflow trigger management
  - name: Jobs
    description: Async background job management
  - name: Streaming State
    description: Streaming job state management
  - name: Saved Prompts
    description: Saved AI prompt library
  - name: Internal
    description: Internal options and formula action endpoints
paths:
  /tables/{id}/run-formula:
    post:
      tags:
        - Table Transforms
      summary: Run or preview a formula column
      description: >
        Runs a formula column across rows. Use preview=true to test on a sample
        before applying to all rows. Max 300s execution time.
      operationId: runFormula
      parameters:
        - $ref: '#/components/parameters/tableId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - propertyId
              properties:
                propertyId:
                  type: string
                  minLength: 1
                formulaOverride:
                  type: string
                returnTypeOverride:
                  type: string
                rowIds:
                  type: array
                  items:
                    type: string
                preview:
                  type: boolean
                  default: false
                previewLimit:
                  type: integer
                  minimum: 1
                  maximum: 50
                  default: 10
      responses:
        '200':
          description: Formula result
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    description: Preview mode result
                    properties:
                      preview:
                        type: boolean
                        example: true
                      computed:
                        type: integer
                      errors:
                        type: integer
                      total:
                        type: integer
                      dependencyColumns:
                        type: array
                      rows:
                        type: array
                  - type: object
                    description: Execute mode result
                    properties:
                      preview:
                        type: boolean
                        example: false
                      computed:
                        type: integer
                      errors:
                        type: integer
                      total:
                        type: integer
                      persisted:
                        type: integer
components:
  parameters:
    tableId:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: session

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.